ihaveamac

ihaveamac

Member

pokémon ultra sun/moon requires kernel 2.50 still. @zoogie Nov 3, 2017

GBAtemp Guru, Male, 20, from Tigard, OR

Apr 20, 2015
5,487
6,055
17